﻿# Créé par Boulanger, le 19/01/2023 en Python 3.4
import matplotlib.pyplot as plt  # Importation des bibliothèques nécessaires
from math import *

# Déclaration des variables du problème
m = ?? # masse du sauteur en kg
g = ?? # intensité du champ de pesanteur terrestre en m/s²
zA = ?? # altitude initiale du sauteur en m
vA = ?? # vitesse initiale du sauteur en m/s

# Initialisation des listes vides
t = [] # durée de la chute
vP = [] # Vitesse du plongeur
EcP = [] # énergie cinétique du sauteur
EppP = [] # énergie potentielle de pesanteur du sauteur
EmP = [] # énergie mécanique du sauteur

# Remplissage des listes
for h in range (0,zA+1,1) : # la hauteur de chute h varie par pas de 1 m de 0 à 27 m
     t.append(??) # durée de la chute
     vP.append(??) # vitesse du plongeur en m/s
     EcP.append(??) # énergie cinétique du plongeur
     EppP.append(??) # énergie potentielle de pesanteur du plongeur
     EmP.append(??) # énergie mécanique du plongeur


# Ecriture de la vitesse d'impact arrondie à l'unité en m/s
print("Vitesse d'impact en m/s :")
print(round((vP[zA])))

# Tracé des courbes
plt.plot(t,EppP,"go--",label="EppP")
plt.plot(t,EcP,"ro--",label="EcP")
plt.plot(t,EmP,"yo--",label="EmP")
plt.title("Evolution temporelle des énergies du plongeur")
plt.xlabel('Durée de la chute en s')
plt.ylabel('Energies en J')
plt.grid()
plt.legend()
plt.show()